QNETLOAD(1)

NAME
qnetload - Graphically display network speed and usage

SYNOPSIS
qnetload

DESCRIPTION
Graphically display network speed and usage.

-i, --interface=INTERFACE
    Display network INTERFACE. For example: eth0, wlan0. If unsure, do not specify.

    When running the interface can be changed by clicking on it. Right-click on the interface to list the available interfaces.

-h, --help
    Display help for commandline options.

-v, --version
    Display version information.

--help-all
    Display help including Qt-specific options.

USING QNETLOAD
Some features on qnetload might not obvious:

    •   Click on the interface to change it.

    •   Right-click anywhere on qnetload to display a contextual menu with the list of interfaces, the IP and the version. The most common interfaces are in bold (ethX, wlanX, etc.).

    •   There are two buttons: pause the accumulative counter of Downloaded and Uploaded data and reset the counter. To reset the counters, click twice.

    •   Clicking in the graph will display how much data has been downloaded and uploaded since the position of the click and a projection for the next hour's usage.

    •   Hover the mouse pointer over any of the numbers to display the meaning of the value.

ORIGINAL IDEA FROM XNETLOAD
qnetload has the same look and feel as xnetload, which is no longer maintained. The q in the name is because qnetload is implemented using the Qt libraries.

FILES

${HOME}/.config/qnetload/qnetload.conf
    The last-used interface is saved here. This will be used the next time qnetload is executed.

/proc/net/dev
    This file, provided by the kernel, contains details of the network usage and is read by qnetload to provide the displayed data.

BUG REPORTS

Bug tracker: <https://github.com/cpina/qnetload/issues>
Email: Carles Pina i Estany <carles@pina.cat>

SEE ALSO
ipmon(1) ethstatus(1) nload(1)

ACKNOWLEDGEMENTS
Many thanks to R.F. Smith for xnetload: lots of inspiration from it.

Many thanks to Jen Thomas for testing qnetload and helping with the manual page and texts.

COPYRIGHT AND LICENSE

Copyright © 2017-2023 Carles Pina i Estany <carles@pina.cat>. License: GPLv3+: GNU GPL version 3 or later.